View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlElement;
    15  import javax.xml.bind.annotation.XmlType;
    16
    17
    18  /**
    19   *  4.0.0
    20   *
    21   * <p>Java class for Parent complex type.
    22   *
    23   * <p>The following schema fragment specifies the expected content contained within this class.
    24   *
    25   * <pre>
    26   * &lt;complexType name="Parent">
    27   *   &lt;complexContent>
    28   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    29   *       &lt;all>
    30   *         &lt;element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    31   *         &lt;element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    32   *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    33   *         &lt;element name="relativePath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    34   *       &lt;/all>
    35   *     &lt;/restriction>
    36   *   &lt;/complexContent>
    37   * &lt;/complexType>
    38   * </pre>
    39   *
    40   *
    41   */
    42  @XmlAccessorType(XmlAccessType.FIELD)
    43  @XmlType(name = "Parent", propOrder = {
    44
    45  })
    46  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    47  public class Parent {
    48
    49      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    50      protected String artifactId;
    51      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    52      protected String groupId;
    53      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    54      protected String version;
    55      @XmlElement(defaultValue = "../pom.xml")
    56      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    57      protected String relativePath;
    58
    59      /**
    60       * Gets the value of the artifactId property.
    61       *
    62       * @return
    63       *     possible object is
    64       *     {@link String }
    65       *
    66       */
    67      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    68      public String getArtifactId() {
    69          return artifactId;
    70      }
    71
    72      /**
    73       * Sets the value of the artifactId property.
    74       *
    75       * @param value
    76       *     allowed object is
    77       *     {@link String }
    78       *
    79       */
    80      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    81      public void setArtifactId(String value) {
    82          this.artifactId = value;
    83      }
    84
    85      /**
    86       * Gets the value of the groupId property.
    87       *
    88       * @return
    89       *     possible object is
    90       *     {@link String }
    91       *
    92       */
    93      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    94      public String getGroupId() {
    95          return groupId;
    96      }
    97
    98      /**
    99       * Sets the value of the groupId property.
    100      *
    101      * @param value
    102      *     allowed object is
    103      *     {@link String }
    104      *
    105      */
    106     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    107     public void setGroupId(String value) {
    108         this.groupId = value;
    109     }
    110
    111     /**
    112      * Gets the value of the version property.
    113      *
    114      * @return
    115      *     possible object is
    116      *     {@link String }
    117      *
    118      */
    119     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    120     public String getVersion() {
    121         return version;
    122     }
    123
    124     /**
    125      * Sets the value of the version property.
    126      *
    127      * @param value
    128      *     allowed object is
    129      *     {@link String }
    130      *
    131      */
    132     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    133     public void setVersion(String value) {
    134         this.version = value;
    135     }
    136
    137     /**
    138      * Gets the value of the relativePath property.
    139      *
    140      * @return
    141      *     possible object is
    142      *     {@link String }
    143      *
    144      */
    145     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    146     public String getRelativePath() {
    147         return relativePath;
    148     }
    149
    150     /**
    151      * Sets the value of the relativePath property.
    152      *
    153      * @param value
    154      *     allowed object is
    155      *     {@link String }
    156      *
    157      */
    158     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    159     public void setRelativePath(String value) {
    160         this.relativePath = value;
    161     }
    162
    163 }